Bug 193501 - Segfault while installing kernel: %post scriptlet failed
Summary: Segfault while installing kernel: %post scriptlet failed
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: gzip   
(Show other bugs)
Version: 4.0
Hardware: i686 Linux
medium
high
Target Milestone: ---
: ---
Assignee: Ivana Varekova
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-05-29 22:37 UTC by Graham Leggett
Modified: 2007-11-30 22:07 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-30 13:49:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Graham Leggett 2006-05-29 22:37:52 UTC
Description of problem:

When an attempt is made to install kernel-2.6.9-34.0.1.EL.i686 onto an RHEL4
machine, the following error is thrown:

[root@samantha ~]# rpm -U --force kernel-2.6.9-34.0.1.EL.i686.rpm
/sbin/mkinitrd: line 784:  3207 Segmentation fault      gzip -9 <$IMAGE
>$targetmkinitrd failed error: %post(kernel-2.6.9-34.0.1.EL.i686) scriptlet
failed, exit status 1

At this point the rpm is half installed - the kernel image is present, but the
modules are not, even though rpm -q -l kernel shows the full filelist.

Version-Release number of selected component (if applicable):

[root@samantha ~]# rpm -q -a | grep rpm
rpm-python-4.3.3-13_nonptl
rpm-4.3.3-13_nonptl
rpm-libs-4.3.3-13_nonptl
rpm-build-4.3.3-13_nonptl

Adding the --noscripts option, and creating the initrd with mkinitrd manually
works around the problem.

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Jeff Johnson 2006-05-30 06:01:29 UTC
The segfault is not in rpm, but rather in mkinitrd. You might wish to change the component.

Comment 2 Graham Leggett 2006-05-30 09:30:46 UTC
I originally figured this was RPM, as only half the files in the RPM were
written to the file system, however this may be a combination bug where mkinitrd
segfaults, and rpm then bombs out ungracefully.

Comment 3 Paul Nasrat 2006-06-26 19:42:48 UTC
Can you reproduce reliably - if so do you have a core dump (ulimit -c unlimited
then run reproducer).

Please also note that if you are a Red Hat Enterprise Linux customer and have an
active support entitlement, please contact to Red Hat Support  for assistance
with your issue.

Comment 4 Peter Jones 2006-07-13 22:02:13 UTC
It's not in mkinitrd, it's in gzip.

Comment 5 Ivana Varekova 2006-07-14 13:55:04 UTC
Could you please attach $IMAGE file which was created during the unsuccessful
upgrade (it should be in /tmp/initrd.img.XXXXXX directory)?


Note You need to log in before you can comment on or make changes to this bug.